1. Registry
  2. Packages
  3. Oracle Cloud Infrastructure
  4. API Docs
  5. DataSafe
  6. getSubsettingReports
Viewing docs for Oracle Cloud Infrastructure v5.3.1
published on Tuesday, Oct 13, 2026 by Pulumi
oci logo oci logo
Viewing docs for Oracle Cloud Infrastructure v5.3.1
published on Tuesday, Oct 13, 2026 by Pulumi

    This data source provides the list of Subsetting Reports in Oracle Cloud Infrastructure Data Safe service.

    Gets a list of subsetting reports based on the specified query parameters.

    Example Usage

    import * as pulumi from "@pulumi/pulumi";
    import * as oci from "@pulumi/oci";
    
    const testSubsettingReports = oci.datasafe.getSubsettingReports({
        compartmentId: compartmentId,
        accessLevel: subsettingReportAccessLevel,
        compartmentIdInSubtree: subsettingReportCompartmentIdInSubtree,
        subsettingPolicyId: testSubsettingPolicy.id,
        targetDatabaseGroupId: testTargetDatabaseGroup.id,
        targetId: testTarget.id,
    });
    
    import pulumi
    import pulumi_oci as oci
    
    test_subsetting_reports = oci.datasafe.get_subsetting_reports(compartment_id=compartment_id,
        access_level=subsetting_report_access_level,
        compartment_id_in_subtree=subsetting_report_compartment_id_in_subtree,
        subsetting_policy_id=test_subsetting_policy["id"],
        target_database_group_id=test_target_database_group["id"],
        target_id=test_target["id"])
    
    package main
    
    import (
    	"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datasafe.GetSubsettingReports(ctx, &datasafe.GetSubsettingReportsArgs{
    			CompartmentId:          compartmentId,
    			AccessLevel:            pulumi.StringRef(subsettingReportAccessLevel),
    			CompartmentIdInSubtree: pulumi.BoolRef(subsettingReportCompartmentIdInSubtree),
    			SubsettingPolicyId:     pulumi.StringRef(testSubsettingPolicy.Id),
    			TargetDatabaseGroupId:  pulumi.StringRef(testTargetDatabaseGroup.Id),
    			TargetId:               pulumi.StringRef(testTarget.Id),
    		}, nil)
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using Oci = Pulumi.Oci;
    
    return await Deployment.RunAsync(() => 
    {
        var testSubsettingReports = Oci.DataSafe.GetSubsettingReports.Invoke(new()
        {
            CompartmentId = compartmentId,
            AccessLevel = subsettingReportAccessLevel,
            CompartmentIdInSubtree = subsettingReportCompartmentIdInSubtree,
            SubsettingPolicyId = testSubsettingPolicy.Id,
            TargetDatabaseGroupId = testTargetDatabaseGroup.Id,
            TargetId = testTarget.Id,
        });
    
    });
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.oci.DataSafe.DataSafeFunctions;
    import com.pulumi.oci.DataSafe.inputs.GetSubsettingReportsArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            final var testSubsettingReports = DataSafeFunctions.getSubsettingReports(GetSubsettingReportsArgs.builder()
                .compartmentId(compartmentId)
                .accessLevel(subsettingReportAccessLevel)
                .compartmentIdInSubtree(subsettingReportCompartmentIdInSubtree)
                .subsettingPolicyId(testSubsettingPolicy.get("id"))
                .targetDatabaseGroupId(testTargetDatabaseGroup.get("id"))
                .targetId(testTarget.get("id"))
                .build());
    
        }
    }
    
    variables:
      testSubsettingReports:
        fn::invoke:
          function: oci:DataSafe:getSubsettingReports
          arguments:
            compartmentId: ${compartmentId}
            accessLevel: ${subsettingReportAccessLevel}
            compartmentIdInSubtree: ${subsettingReportCompartmentIdInSubtree}
            subsettingPolicyId: ${testSubsettingPolicy.id}
            targetDatabaseGroupId: ${testTargetDatabaseGroup.id}
            targetId: ${testTarget.id}
    
    terraform {
      required_providers {
        oci = {
          source = "pulumi/oci"
        }
      }
    }
    
    data "oci_data_safe_subsetting_reports" "testSubsettingReports" {
      compartment_id            = compartmentId
      access_level              = subsettingReportAccessLevel
      compartment_id_in_subtree = subsettingReportCompartmentIdInSubtree
      subsetting_policy_id      = testSubsettingPolicy.id
      target_database_group_id  = testTargetDatabaseGroup.id
      target_id                 = testTarget.id
    }
    

    Using getSubsettingReports

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getSubsettingReports(args: GetSubsettingReportsArgs, opts?: InvokeOptions): Promise<GetSubsettingReportsResult>
    function getSubsettingReportsOutput(args: GetSubsettingReportsOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingReportsResult>
    def get_subsetting_reports(access_level: Optional[str] = None,
                               compartment_id: Optional[str] = None,
                               compartment_id_in_subtree: Optional[bool] = None,
                               filters: Optional[Sequence[GetSubsettingReportsFilter]] = None,
                               subsetting_policy_id: Optional[str] = None,
                               target_database_group_id: Optional[str] = None,
                               target_id: Optional[str] = None,
                               opts: Optional[InvokeOptions] = None) -> GetSubsettingReportsResult
    def get_subsetting_reports_output(access_level: pulumi.Input[Optional[str]] = None,
                               compartment_id: pulumi.Input[Optional[str]] = None,
                               compartment_id_in_subtree: pulumi.Input[Optional[bool]] = None,
                               filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingReportsFilterArgs]]]] = None,
                               subsetting_policy_id: pulumi.Input[Optional[str]] = None,
                               target_database_group_id: pulumi.Input[Optional[str]] = None,
                               target_id: pulumi.Input[Optional[str]] = None,
                               opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingReportsResult]
    func GetSubsettingReports(ctx *Context, args *GetSubsettingReportsArgs, opts ...InvokeOption) (*GetSubsettingReportsResult, error)
    func GetSubsettingReportsOutput(ctx *Context, args *GetSubsettingReportsOutputArgs, opts ...InvokeOption) GetSubsettingReportsResultOutput

    > Note: This function is named GetSubsettingReports in the Go SDK.

    public static class GetSubsettingReports 
    {
        public static Task<GetSubsettingReportsResult> InvokeAsync(GetSubsettingReportsArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingReportsResult> Invoke(GetSubsettingReportsInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetSubsettingReportsResult> Invoke(GetSubsettingReportsInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetSubsettingReportsResult> getSubsettingReports(GetSubsettingReportsArgs args, InvokeOptions options)
    public static Output<GetSubsettingReportsResult> getSubsettingReports(GetSubsettingReportsArgs args, InvokeOptions options)
    public static Output<GetSubsettingReportsResult> getSubsettingReports(GetSubsettingReportsArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: oci:DataSafe/getSubsettingReports:getSubsettingReports
      arguments:
        # arguments dictionary
    data "oci_data_safe_get_subsetting_reports" "name" {
        # arguments
    }

    The following arguments are supported:

    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    AccessLevel string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    CompartmentIdInSubtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    Filters List<GetSubsettingReportsFilter>
    SubsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    TargetDatabaseGroupId string
    A filter to return the target database group that matches the specified OCID.
    TargetId string
    A filter to return only items related to a specific target OCID.
    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    AccessLevel string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    CompartmentIdInSubtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    Filters []GetSubsettingReportsFilter
    SubsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    TargetDatabaseGroupId string
    A filter to return the target database group that matches the specified OCID.
    TargetId string
    A filter to return only items related to a specific target OCID.
    compartment_id string
    A filter to return only resources that match the specified compartment OCID.
    access_level string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartment_id_in_subtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    filters list(object)
    subsetting_policy_id string
    A filter to return only the resources that match the specified subsetting policy OCID.
    target_database_group_id string
    A filter to return the target database group that matches the specified OCID.
    target_id string
    A filter to return only items related to a specific target OCID.
    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    accessLevel String
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartmentIdInSubtree Boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    filters List<GetSubsettingReportsFilter>
    subsettingPolicyId String
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetDatabaseGroupId String
    A filter to return the target database group that matches the specified OCID.
    targetId String
    A filter to return only items related to a specific target OCID.
    compartmentId string
    A filter to return only resources that match the specified compartment OCID.
    accessLevel string
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartmentIdInSubtree boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    filters GetSubsettingReportsFilter[]
    subsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetDatabaseGroupId string
    A filter to return the target database group that matches the specified OCID.
    targetId string
    A filter to return only items related to a specific target OCID.
    compartment_id str
    A filter to return only resources that match the specified compartment OCID.
    access_level str
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartment_id_in_subtree bool
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    filters Sequence[GetSubsettingReportsFilter]
    subsetting_policy_id str
    A filter to return only the resources that match the specified subsetting policy OCID.
    target_database_group_id str
    A filter to return the target database group that matches the specified OCID.
    target_id str
    A filter to return only items related to a specific target OCID.
    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    accessLevel String
    Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
    compartmentIdInSubtree Boolean
    Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
    filters List<Property Map>
    subsettingPolicyId String
    A filter to return only the resources that match the specified subsetting policy OCID.
    targetDatabaseGroupId String
    A filter to return the target database group that matches the specified OCID.
    targetId String
    A filter to return only items related to a specific target OCID.

    getSubsettingReports Result

    The following output properties are available:

    CompartmentId string
    The OCID of the compartment that contains the subsetting report
    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingReportCollections List<GetSubsettingReportsSubsettingReportCollection>
    The list of subsetting_report_collection.
    AccessLevel string
    CompartmentIdInSubtree bool
    Filters List<GetSubsettingReportsFilter>
    SubsettingPolicyId string
    The OCID of the subsetting policy used
    TargetDatabaseGroupId string
    TargetId string
    The OCID of the target database subsetted
    CompartmentId string
    The OCID of the compartment that contains the subsetting report
    Id string
    The provider-assigned unique ID for this managed resource.
    SubsettingReportCollections []GetSubsettingReportsSubsettingReportCollection
    The list of subsetting_report_collection.
    AccessLevel string
    CompartmentIdInSubtree bool
    Filters []GetSubsettingReportsFilter
    SubsettingPolicyId string
    The OCID of the subsetting policy used
    TargetDatabaseGroupId string
    TargetId string
    The OCID of the target database subsetted
    compartment_id string
    The OCID of the compartment that contains the subsetting report
    id string
    The provider-assigned unique ID for this managed resource.
    subsetting_report_collections list(object)
    The list of subsetting_report_collection.
    access_level string
    compartment_id_in_subtree bool
    filters list(object)
    subsetting_policy_id string
    The OCID of the subsetting policy used
    target_database_group_id string
    target_id string
    The OCID of the target database subsetted
    compartmentId String
    The OCID of the compartment that contains the subsetting report
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingReportCollections List<GetSubsettingReportsSubsettingReportCollection>
    The list of subsetting_report_collection.
    accessLevel String
    compartmentIdInSubtree Boolean
    filters List<GetSubsettingReportsFilter>
    subsettingPolicyId String
    The OCID of the subsetting policy used
    targetDatabaseGroupId String
    targetId String
    The OCID of the target database subsetted
    compartmentId string
    The OCID of the compartment that contains the subsetting report
    id string
    The provider-assigned unique ID for this managed resource.
    subsettingReportCollections GetSubsettingReportsSubsettingReportCollection[]
    The list of subsetting_report_collection.
    accessLevel string
    compartmentIdInSubtree boolean
    filters GetSubsettingReportsFilter[]
    subsettingPolicyId string
    The OCID of the subsetting policy used
    targetDatabaseGroupId string
    targetId string
    The OCID of the target database subsetted
    compartment_id str
    The OCID of the compartment that contains the subsetting report
    id str
    The provider-assigned unique ID for this managed resource.
    subsetting_report_collections Sequence[GetSubsettingReportsSubsettingReportCollection]
    The list of subsetting_report_collection.
    access_level str
    compartment_id_in_subtree bool
    filters Sequence[GetSubsettingReportsFilter]
    subsetting_policy_id str
    The OCID of the subsetting policy used
    target_database_group_id str
    target_id str
    The OCID of the target database subsetted
    compartmentId String
    The OCID of the compartment that contains the subsetting report
    id String
    The provider-assigned unique ID for this managed resource.
    subsettingReportCollections List<Property Map>
    The list of subsetting_report_collection.
    accessLevel String
    compartmentIdInSubtree Boolean
    filters List<Property Map>
    subsettingPolicyId String
    The OCID of the subsetting policy used
    targetDatabaseGroupId String
    targetId String
    The OCID of the target database subsetted

    Supporting Types

    GetSubsettingReportsFilter

    Name string
    Values List<string>
    Regex bool
    Name string
    Values []string
    Regex bool
    name string
    values list(string)
    regex bool
    name String
    values List<String>
    regex Boolean
    name string
    values string[]
    regex boolean
    name str
    values Sequence[str]
    regex bool
    name String
    values List<String>
    regex Boolean

    GetSubsettingReportsSubsettingReportCollection

    GetSubsettingReportsSubsettingReportCollectionItem

    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    DatabaseSizeAfterSubsettingInKbs string
    The size of the target database after subsetting in KBs
    DatabaseSizeBeforeSubsettingInKbs string
    The size of the target database before subsetting in KBs
    Id string
    The OCID of the subsetting report
    IsRedoLoggingEnabled bool
    Indicates if redo logging was enabled during the subsetting operation
    IsRefreshStatsEnabled bool
    Indicates if statistics gathering was enabled during the subsetting operation
    MaskingPolicyId string
    The OCID of the masking policy associated with this subsetting report
    MaskingReportId string
    The OCID of the masking report associated with this subsetting report
    MaskingWorkRequestId string
    The OCID of the masking work request triggered after this subsetting job
    ParallelDegree string
    Indicates if parallel execution was enabled during the subsetting operation
    Recompile string
    Indicates how invalid objects were recompiled post the subsetting operation
    State string
    The current state of the subsetting report
    SubsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    SubsettingStatus string
    The status of the subsetting job
    SubsettingWorkRequestId string
    The OCID of the subsetting work request that resulted in this subsetting report
    TargetId string
    A filter to return only items related to a specific target OCID.
    TimeCreated string
    The date and time the subsetting report was created, in the format defined by RFC3339
    TimeSubsettingFinished string
    The date and time data subsetting finished, in the format defined by RFC3339
    TimeSubsettingStarted string
    The date and time data subsetting started, in the format defined by RFC3339
    TotalPostSubsettingScriptErrors string
    The total number of errors in post-subsetting script
    TotalPreSubsettingScriptErrors string
    The total number of errors in pre-subsetting script
    TotalSubsettedObjects string
    The total number of subsetted objects
    TotalSubsettedRows string
    The count of rows reduced in the subsetting job
    TotalSubsettedSchemas string
    The total number of subsetted schemas
    CompartmentId string
    A filter to return only resources that match the specified compartment OCID.
    DatabaseSizeAfterSubsettingInKbs string
    The size of the target database after subsetting in KBs
    DatabaseSizeBeforeSubsettingInKbs string
    The size of the target database before subsetting in KBs
    Id string
    The OCID of the subsetting report
    IsRedoLoggingEnabled bool
    Indicates if redo logging was enabled during the subsetting operation
    IsRefreshStatsEnabled bool
    Indicates if statistics gathering was enabled during the subsetting operation
    MaskingPolicyId string
    The OCID of the masking policy associated with this subsetting report
    MaskingReportId string
    The OCID of the masking report associated with this subsetting report
    MaskingWorkRequestId string
    The OCID of the masking work request triggered after this subsetting job
    ParallelDegree string
    Indicates if parallel execution was enabled during the subsetting operation
    Recompile string
    Indicates how invalid objects were recompiled post the subsetting operation
    State string
    The current state of the subsetting report
    SubsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    SubsettingStatus string
    The status of the subsetting job
    SubsettingWorkRequestId string
    The OCID of the subsetting work request that resulted in this subsetting report
    TargetId string
    A filter to return only items related to a specific target OCID.
    TimeCreated string
    The date and time the subsetting report was created, in the format defined by RFC3339
    TimeSubsettingFinished string
    The date and time data subsetting finished, in the format defined by RFC3339
    TimeSubsettingStarted string
    The date and time data subsetting started, in the format defined by RFC3339
    TotalPostSubsettingScriptErrors string
    The total number of errors in post-subsetting script
    TotalPreSubsettingScriptErrors string
    The total number of errors in pre-subsetting script
    TotalSubsettedObjects string
    The total number of subsetted objects
    TotalSubsettedRows string
    The count of rows reduced in the subsetting job
    TotalSubsettedSchemas string
    The total number of subsetted schemas
    compartment_id string
    A filter to return only resources that match the specified compartment OCID.
    database_size_after_subsetting_in_kbs string
    The size of the target database after subsetting in KBs
    database_size_before_subsetting_in_kbs string
    The size of the target database before subsetting in KBs
    id string
    The OCID of the subsetting report
    is_redo_logging_enabled bool
    Indicates if redo logging was enabled during the subsetting operation
    is_refresh_stats_enabled bool
    Indicates if statistics gathering was enabled during the subsetting operation
    masking_policy_id string
    The OCID of the masking policy associated with this subsetting report
    masking_report_id string
    The OCID of the masking report associated with this subsetting report
    masking_work_request_id string
    The OCID of the masking work request triggered after this subsetting job
    parallel_degree string
    Indicates if parallel execution was enabled during the subsetting operation
    recompile string
    Indicates how invalid objects were recompiled post the subsetting operation
    state string
    The current state of the subsetting report
    subsetting_policy_id string
    A filter to return only the resources that match the specified subsetting policy OCID.
    subsetting_status string
    The status of the subsetting job
    subsetting_work_request_id string
    The OCID of the subsetting work request that resulted in this subsetting report
    target_id string
    A filter to return only items related to a specific target OCID.
    time_created string
    The date and time the subsetting report was created, in the format defined by RFC3339
    time_subsetting_finished string
    The date and time data subsetting finished, in the format defined by RFC3339
    time_subsetting_started string
    The date and time data subsetting started, in the format defined by RFC3339
    total_post_subsetting_script_errors string
    The total number of errors in post-subsetting script
    total_pre_subsetting_script_errors string
    The total number of errors in pre-subsetting script
    total_subsetted_objects string
    The total number of subsetted objects
    total_subsetted_rows string
    The count of rows reduced in the subsetting job
    total_subsetted_schemas string
    The total number of subsetted schemas
    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    databaseSizeAfterSubsettingInKbs String
    The size of the target database after subsetting in KBs
    databaseSizeBeforeSubsettingInKbs String
    The size of the target database before subsetting in KBs
    id String
    The OCID of the subsetting report
    isRedoLoggingEnabled Boolean
    Indicates if redo logging was enabled during the subsetting operation
    isRefreshStatsEnabled Boolean
    Indicates if statistics gathering was enabled during the subsetting operation
    maskingPolicyId String
    The OCID of the masking policy associated with this subsetting report
    maskingReportId String
    The OCID of the masking report associated with this subsetting report
    maskingWorkRequestId String
    The OCID of the masking work request triggered after this subsetting job
    parallelDegree String
    Indicates if parallel execution was enabled during the subsetting operation
    recompile String
    Indicates how invalid objects were recompiled post the subsetting operation
    state String
    The current state of the subsetting report
    subsettingPolicyId String
    A filter to return only the resources that match the specified subsetting policy OCID.
    subsettingStatus String
    The status of the subsetting job
    subsettingWorkRequestId String
    The OCID of the subsetting work request that resulted in this subsetting report
    targetId String
    A filter to return only items related to a specific target OCID.
    timeCreated String
    The date and time the subsetting report was created, in the format defined by RFC3339
    timeSubsettingFinished String
    The date and time data subsetting finished, in the format defined by RFC3339
    timeSubsettingStarted String
    The date and time data subsetting started, in the format defined by RFC3339
    totalPostSubsettingScriptErrors String
    The total number of errors in post-subsetting script
    totalPreSubsettingScriptErrors String
    The total number of errors in pre-subsetting script
    totalSubsettedObjects String
    The total number of subsetted objects
    totalSubsettedRows String
    The count of rows reduced in the subsetting job
    totalSubsettedSchemas String
    The total number of subsetted schemas
    compartmentId string
    A filter to return only resources that match the specified compartment OCID.
    databaseSizeAfterSubsettingInKbs string
    The size of the target database after subsetting in KBs
    databaseSizeBeforeSubsettingInKbs string
    The size of the target database before subsetting in KBs
    id string
    The OCID of the subsetting report
    isRedoLoggingEnabled boolean
    Indicates if redo logging was enabled during the subsetting operation
    isRefreshStatsEnabled boolean
    Indicates if statistics gathering was enabled during the subsetting operation
    maskingPolicyId string
    The OCID of the masking policy associated with this subsetting report
    maskingReportId string
    The OCID of the masking report associated with this subsetting report
    maskingWorkRequestId string
    The OCID of the masking work request triggered after this subsetting job
    parallelDegree string
    Indicates if parallel execution was enabled during the subsetting operation
    recompile string
    Indicates how invalid objects were recompiled post the subsetting operation
    state string
    The current state of the subsetting report
    subsettingPolicyId string
    A filter to return only the resources that match the specified subsetting policy OCID.
    subsettingStatus string
    The status of the subsetting job
    subsettingWorkRequestId string
    The OCID of the subsetting work request that resulted in this subsetting report
    targetId string
    A filter to return only items related to a specific target OCID.
    timeCreated string
    The date and time the subsetting report was created, in the format defined by RFC3339
    timeSubsettingFinished string
    The date and time data subsetting finished, in the format defined by RFC3339
    timeSubsettingStarted string
    The date and time data subsetting started, in the format defined by RFC3339
    totalPostSubsettingScriptErrors string
    The total number of errors in post-subsetting script
    totalPreSubsettingScriptErrors string
    The total number of errors in pre-subsetting script
    totalSubsettedObjects string
    The total number of subsetted objects
    totalSubsettedRows string
    The count of rows reduced in the subsetting job
    totalSubsettedSchemas string
    The total number of subsetted schemas
    compartment_id str
    A filter to return only resources that match the specified compartment OCID.
    database_size_after_subsetting_in_kbs str
    The size of the target database after subsetting in KBs
    database_size_before_subsetting_in_kbs str
    The size of the target database before subsetting in KBs
    id str
    The OCID of the subsetting report
    is_redo_logging_enabled bool
    Indicates if redo logging was enabled during the subsetting operation
    is_refresh_stats_enabled bool
    Indicates if statistics gathering was enabled during the subsetting operation
    masking_policy_id str
    The OCID of the masking policy associated with this subsetting report
    masking_report_id str
    The OCID of the masking report associated with this subsetting report
    masking_work_request_id str
    The OCID of the masking work request triggered after this subsetting job
    parallel_degree str
    Indicates if parallel execution was enabled during the subsetting operation
    recompile str
    Indicates how invalid objects were recompiled post the subsetting operation
    state str
    The current state of the subsetting report
    subsetting_policy_id str
    A filter to return only the resources that match the specified subsetting policy OCID.
    subsetting_status str
    The status of the subsetting job
    subsetting_work_request_id str
    The OCID of the subsetting work request that resulted in this subsetting report
    target_id str
    A filter to return only items related to a specific target OCID.
    time_created str
    The date and time the subsetting report was created, in the format defined by RFC3339
    time_subsetting_finished str
    The date and time data subsetting finished, in the format defined by RFC3339
    time_subsetting_started str
    The date and time data subsetting started, in the format defined by RFC3339
    total_post_subsetting_script_errors str
    The total number of errors in post-subsetting script
    total_pre_subsetting_script_errors str
    The total number of errors in pre-subsetting script
    total_subsetted_objects str
    The total number of subsetted objects
    total_subsetted_rows str
    The count of rows reduced in the subsetting job
    total_subsetted_schemas str
    The total number of subsetted schemas
    compartmentId String
    A filter to return only resources that match the specified compartment OCID.
    databaseSizeAfterSubsettingInKbs String
    The size of the target database after subsetting in KBs
    databaseSizeBeforeSubsettingInKbs String
    The size of the target database before subsetting in KBs
    id String
    The OCID of the subsetting report
    isRedoLoggingEnabled Boolean
    Indicates if redo logging was enabled during the subsetting operation
    isRefreshStatsEnabled Boolean
    Indicates if statistics gathering was enabled during the subsetting operation
    maskingPolicyId String
    The OCID of the masking policy associated with this subsetting report
    maskingReportId String
    The OCID of the masking report associated with this subsetting report
    maskingWorkRequestId String
    The OCID of the masking work request triggered after this subsetting job
    parallelDegree String
    Indicates if parallel execution was enabled during the subsetting operation
    recompile String
    Indicates how invalid objects were recompiled post the subsetting operation
    state String
    The current state of the subsetting report
    subsettingPolicyId String
    A filter to return only the resources that match the specified subsetting policy OCID.
    subsettingStatus String
    The status of the subsetting job
    subsettingWorkRequestId String
    The OCID of the subsetting work request that resulted in this subsetting report
    targetId String
    A filter to return only items related to a specific target OCID.
    timeCreated String
    The date and time the subsetting report was created, in the format defined by RFC3339
    timeSubsettingFinished String
    The date and time data subsetting finished, in the format defined by RFC3339
    timeSubsettingStarted String
    The date and time data subsetting started, in the format defined by RFC3339
    totalPostSubsettingScriptErrors String
    The total number of errors in post-subsetting script
    totalPreSubsettingScriptErrors String
    The total number of errors in pre-subsetting script
    totalSubsettedObjects String
    The total number of subsetted objects
    totalSubsettedRows String
    The count of rows reduced in the subsetting job
    totalSubsettedSchemas String
    The total number of subsetted schemas

    Package Details

    Repository
    oci pulumi/pulumi-oci
    License
    Apache-2.0
    Notes
    This Pulumi package is based on the oci Terraform Provider.
    oci logo oci logo
    Viewing docs for Oracle Cloud Infrastructure v5.3.1
    published on Tuesday, Oct 13, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial